NX Open C++ Reference Guide
|
Represents a Die Rib Parent sub feature. More...
Public Member Functions | |
double | AdjustedThickness () |
Returns the adjusted thickness of die ribs. | |
double | Angle () |
Returns the angle of die ribs. | |
double | BottomHorizontalOffset () |
Returns the bottom horizontal offset of die ribs. | |
double | BottomLimitOffset () |
Returns the bottom limit offset of die ribs. | |
double | BottomVerticalOffset () |
Returns the bottom vertical offset of die ribs. | |
NXOpen::Die::DieBuildStatusOption | BuildStatus () |
Returns the build status of die ribs. | |
double | CenterlineXyOffset () |
Returns the centerline xy offset of die ribs. | |
NXOpen::Die::RibChildBuilder * | CreateChild () |
Creates a child rib. | |
void | DeleteChild (NXOpen::Die::RibChildBuilder *dieribchild) |
Deletes a child rib. | |
bool | DesignStatus () |
Returns the design status of die ribs, if true the ribs will be built into the model, if false they will not. | |
bool | DisplayStatus () |
Returns the display status of die ribs, if true input data to the ribs will be displayed, if false the input data will not be displayed. | |
std::vector < NXOpen::Die::RibChildBuilder * > | GetChildren () |
Outputs the child ribs. | |
double | Height () |
Returns the height of die ribs. | |
double | LccMinWidth () |
Returns the lightening core mininum width of die ribs. | |
bool | LighteningCore () |
Returns the lightening core switch of die ribs, if true the lightening core will be built into the rib, if false it will not. | |
double | LighteningCoreClearance () |
Returns the lightening core clearance of die ribs. | |
bool | Rectangular () |
Returns the rectangular switch of die ribs, if true the lightening cores will be rectangular, if false they will follow the shape of the rib. | |
void | SetAdjustedThickness (double adjustedThickness) |
Sets the adjusted thickness of die ribs. | |
void | SetAngle (double angle) |
Sets the angle of die ribs. | |
void | SetBottomHorizontalOffset (double bottomHorizontalOffset) |
Sets the bottom horizontal offset of die ribs. | |
void | SetBottomLimitOffset (double bottomLimitOffset) |
Sets the bottom limit offset of die ribs. | |
void | SetBottomVerticalOffset (double bottomVerticalOffset) |
Sets the bottom vertical offset of die ribs. | |
void | SetCenterlineXyOffset (double centerlineXyOffset) |
Sets the centerline xy offset of die ribs. | |
void | SetDesignStatus (bool designStatus) |
Sets the design status of die ribs, if true the ribs will be built into the model, if false they will not. | |
void | SetDisplayStatus (bool displayStatus) |
Sets the display status of die ribs, if true input data to the ribs will be displayed, if false the input data will not be displayed. | |
void | SetHeight (double height) |
Sets the height of die ribs. | |
void | SetLccMinWidth (double lccMinWidth) |
Sets the lightening core mininum width of die ribs. | |
void | SetLighteningCore (bool lighteningCore) |
Sets the lightening core switch of die ribs, if true the lightening core will be built into the rib, if false it will not. | |
void | SetLighteningCoreClearance (double lighteningCoreClearance) |
Sets the lightening core clearance of die ribs. | |
void | SetRectangular (bool rectangular) |
Sets the rectangular switch of die ribs, if true the lightening cores will be rectangular, if false they will follow the shape of the rib. | |
void | SetThickness (double thickness) |
Sets the thickness of die ribs. | |
void | SetTopHorizontalOffset (double topHorizontalOffset) |
Sets the top horizontal offset of die ribs. | |
void | SetTopLimitOffset (double topLimitOffset) |
Sets the top limit offset of die ribs. | |
void | SetTopVerticalOffset (double topVerticalOffset) |
Sets the top vertical offset of die ribs. | |
void | SetXDistance (double xDistance) |
Sets the x distance of die ribs. | |
void | SetXOffset (double xOffset) |
Sets the x offset of die ribs. | |
void | SetYDistance (double yDistance) |
Sets the y distance of die ribs. | |
void | SetYOffset (double yOffset) |
Sets the y offset of die ribs. | |
double | Thickness () |
Returns the thickness of die ribs. | |
double | TopHorizontalOffset () |
Returns the top horizontal offset of die ribs. | |
double | TopLimitOffset () |
Returns the top limit offset of die ribs. | |
double | TopVerticalOffset () |
Returns the top vertical offset of die ribs. | |
double | XDistance () |
Returns the x distance of die ribs. | |
double | XOffset () |
Returns the x offset of die ribs. | |
double | YDistance () |
Returns the y distance of die ribs. | |
double | YOffset () |
Returns the y offset of die ribs. | |
![]() | |
NXOpen::Features::Feature * | CommitFeature () |
Commits the feature parameters and creates the feature. | |
NXOpen::Features::Feature * | GetFeature () |
Returns the feature currently being edited by this builder. | |
void | HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature) |
Re-suppress an internal parent feature (a slave feature) after it has been edited. | |
bool | ParentFeatureInternal () |
Returns whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
bool | PatchSolutionFlag () |
Returns the patch solution flag Created in NX8.0.1. | |
NXString | PatchSurfaceFilename () |
Returns the patch surface filename Created in NX8.0.1. | |
void | SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the parent features which would be internal or slaves to the feature being created or commited Created in NX6.0.0. | |
void | SetParentFeatureInternal (bool isInternal) |
Sets whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
void | SetPatchSolutionFlag (bool optionValue) |
Sets the patch solution flag Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const NXString &surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const char *surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature) |
Unsuppress an internal parent feature (a slave feature) so it can be edited. | |
NXString | SurroundingPatchSurfaceFilename () |
Returns the surrounding patch surface filename Created in NX8.0.1. | |
void | UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the internal parent feature of the feature being edited to external Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a Die Rib Parent sub feature.
This sub feature is created via the main feature builder.
Created in NX4.0.0.
double NXOpen::Die::RibParentBuilder::AdjustedThickness | ( | ) |
Returns the adjusted thickness of die ribs.
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
double NXOpen::Die::RibParentBuilder::Angle | ( | ) |
Returns the angle of die ribs.
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
double NXOpen::Die::RibParentBuilder::BottomHorizontalOffset | ( | ) |
Returns the bottom horizontal offset of die ribs.
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
double NXOpen::Die::RibParentBuilder::BottomLimitOffset | ( | ) |
Returns the bottom limit offset of die ribs.
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
double NXOpen::Die::RibParentBuilder::BottomVerticalOffset | ( | ) |
Returns the bottom vertical offset of die ribs.
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
NXOpen::Die::DieBuildStatusOption NXOpen::Die::RibParentBuilder::BuildStatus | ( | ) |
Returns the build status of die ribs.
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
double NXOpen::Die::RibParentBuilder::CenterlineXyOffset | ( | ) |
Returns the centerline xy offset of die ribs.
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
NXOpen::Die::RibChildBuilder* NXOpen::Die::RibParentBuilder::CreateChild | ( | ) |
Creates a child rib.
void NXOpen::Die::RibParentBuilder::DeleteChild | ( | NXOpen::Die::RibChildBuilder * | dieribchild | ) |
Deletes a child rib.
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
dieribchild | dieribchild |
bool NXOpen::Die::RibParentBuilder::DesignStatus | ( | ) |
Returns the design status of die ribs, if true the ribs will be built into the model, if false they will not.
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
bool NXOpen::Die::RibParentBuilder::DisplayStatus | ( | ) |
Returns the display status of die ribs, if true input data to the ribs will be displayed, if false the input data will not be displayed.
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
std::vector<NXOpen::Die::RibChildBuilder *> NXOpen::Die::RibParentBuilder::GetChildren | ( | ) |
Outputs the child ribs.
double NXOpen::Die::RibParentBuilder::Height | ( | ) |
Returns the height of die ribs.
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
double NXOpen::Die::RibParentBuilder::LccMinWidth | ( | ) |
Returns the lightening core mininum width of die ribs.
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
bool NXOpen::Die::RibParentBuilder::LighteningCore | ( | ) |
Returns the lightening core switch of die ribs, if true the lightening core will be built into the rib, if false it will not.
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
double NXOpen::Die::RibParentBuilder::LighteningCoreClearance | ( | ) |
Returns the lightening core clearance of die ribs.
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
bool NXOpen::Die::RibParentBuilder::Rectangular | ( | ) |
Returns the rectangular switch of die ribs, if true the lightening cores will be rectangular, if false they will follow the shape of the rib.
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
void NXOpen::Die::RibParentBuilder::SetAdjustedThickness | ( | double | adjustedThickness | ) |
Sets the adjusted thickness of die ribs.
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
adjustedThickness | adjusted thickness |
void NXOpen::Die::RibParentBuilder::SetAngle | ( | double | angle | ) |
Sets the angle of die ribs.
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
angle | angle |
void NXOpen::Die::RibParentBuilder::SetBottomHorizontalOffset | ( | double | bottomHorizontalOffset | ) |
Sets the bottom horizontal offset of die ribs.
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
bottomHorizontalOffset | bottom horizontal offset |
void NXOpen::Die::RibParentBuilder::SetBottomLimitOffset | ( | double | bottomLimitOffset | ) |
Sets the bottom limit offset of die ribs.
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
bottomLimitOffset | bottom limit offset |
void NXOpen::Die::RibParentBuilder::SetBottomVerticalOffset | ( | double | bottomVerticalOffset | ) |
Sets the bottom vertical offset of die ribs.
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
bottomVerticalOffset | bottom vertical offset |
void NXOpen::Die::RibParentBuilder::SetCenterlineXyOffset | ( | double | centerlineXyOffset | ) |
Sets the centerline xy offset of die ribs.
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
centerlineXyOffset | centerline xy offset |
void NXOpen::Die::RibParentBuilder::SetDesignStatus | ( | bool | designStatus | ) |
Sets the design status of die ribs, if true the ribs will be built into the model, if false they will not.
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
designStatus | design status |
void NXOpen::Die::RibParentBuilder::SetDisplayStatus | ( | bool | displayStatus | ) |
Sets the display status of die ribs, if true input data to the ribs will be displayed, if false the input data will not be displayed.
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
displayStatus | display status |
void NXOpen::Die::RibParentBuilder::SetHeight | ( | double | height | ) |
Sets the height of die ribs.
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
height | height |
void NXOpen::Die::RibParentBuilder::SetLccMinWidth | ( | double | lccMinWidth | ) |
Sets the lightening core mininum width of die ribs.
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
lccMinWidth | lcc min width |
void NXOpen::Die::RibParentBuilder::SetLighteningCore | ( | bool | lighteningCore | ) |
Sets the lightening core switch of die ribs, if true the lightening core will be built into the rib, if false it will not.
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
lighteningCore | lightening core |
void NXOpen::Die::RibParentBuilder::SetLighteningCoreClearance | ( | double | lighteningCoreClearance | ) |
Sets the lightening core clearance of die ribs.
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
lighteningCoreClearance | lightening core clearance |
void NXOpen::Die::RibParentBuilder::SetRectangular | ( | bool | rectangular | ) |
Sets the rectangular switch of die ribs, if true the lightening cores will be rectangular, if false they will follow the shape of the rib.
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
rectangular | rectangular |
void NXOpen::Die::RibParentBuilder::SetThickness | ( | double | thickness | ) |
Sets the thickness of die ribs.
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
thickness | thickness |
void NXOpen::Die::RibParentBuilder::SetTopHorizontalOffset | ( | double | topHorizontalOffset | ) |
Sets the top horizontal offset of die ribs.
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
topHorizontalOffset | top horizontal offset |
void NXOpen::Die::RibParentBuilder::SetTopLimitOffset | ( | double | topLimitOffset | ) |
Sets the top limit offset of die ribs.
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
topLimitOffset | top limit offset |
void NXOpen::Die::RibParentBuilder::SetTopVerticalOffset | ( | double | topVerticalOffset | ) |
Sets the top vertical offset of die ribs.
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
topVerticalOffset | top vertical offset |
void NXOpen::Die::RibParentBuilder::SetXDistance | ( | double | xDistance | ) |
Sets the x distance of die ribs.
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
xDistance | x distance |
void NXOpen::Die::RibParentBuilder::SetXOffset | ( | double | xOffset | ) |
Sets the x offset of die ribs.
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
xOffset | x offset |
void NXOpen::Die::RibParentBuilder::SetYDistance | ( | double | yDistance | ) |
Sets the y distance of die ribs.
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
yDistance | y distance |
void NXOpen::Die::RibParentBuilder::SetYOffset | ( | double | yOffset | ) |
Sets the y offset of die ribs.
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
yOffset | y offset |
double NXOpen::Die::RibParentBuilder::Thickness | ( | ) |
Returns the thickness of die ribs.
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
double NXOpen::Die::RibParentBuilder::TopHorizontalOffset | ( | ) |
Returns the top horizontal offset of die ribs.
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
double NXOpen::Die::RibParentBuilder::TopLimitOffset | ( | ) |
Returns the top limit offset of die ribs.
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
double NXOpen::Die::RibParentBuilder::TopVerticalOffset | ( | ) |
Returns the top vertical offset of die ribs.
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
double NXOpen::Die::RibParentBuilder::XDistance | ( | ) |
Returns the x distance of die ribs.
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
double NXOpen::Die::RibParentBuilder::XOffset | ( | ) |
Returns the x offset of die ribs.
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
double NXOpen::Die::RibParentBuilder::YDistance | ( | ) |
Returns the y distance of die ribs.
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
double NXOpen::Die::RibParentBuilder::YOffset | ( | ) |
Returns the y offset of die ribs.
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")